Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.classifier
Class SimpleMKL<T>

    java.lang.Object
      fr.lip6.classifier.SimpleMKL<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  Classifier<T>, java.io.Serializable

    public class SimpleMKL<T>

extends java.lang.Object
implements Classifier<T>, java.io.Serializable

SimpleMKL classifier after the algorithm of A. Rakotomamonjy.

Author:
  dpicard
See Also:
  Serialized Form

Constructor Summary
`SimpleMKL()`

Method Summary
`void` | `addKernel(Kernel<T> k)`
`double[]` | `getKernelWeights()`
`double[]` | `getTrainingWeights()`
`void` | `train(java.util.ArrayList<TrainingSample<T>> list)` optimisation des poids d'après l'algorithme SimpleMKL d'Alain Rakotomamonjy
`void` | `train(TrainingSample<T> train)` Add a single example to the current training set and train the classifier
`double` | `valueOf(T ex)` Computes the category of the provided example

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMKL

    public SimpleMKL()

Method Detail

### addKernel

    public void addKernel(Kernel<T> k)

### train

    public void train(TrainingSample<T> train)

  Description copied from interface: `Classifier`
  Add a single example to the current training set and train the classifier

  Specified by:
    `train` in interface `Classifier<T>`
  Parameters:
    `train` - the training sample

### train

    public void train(java.util.ArrayList<TrainingSample<T>> list)

  optimisation des poids d'après l'algorithme SimpleMKL d'Alain Rakotomamonjy

  Specified by:
    `train` in interface `Classifier<T>`
  Parameters:
    `list` - list of training samples

### valueOf

    public double valueOf(T ex)

  Description copied from interface: `Classifier`
  Computes the category of the provided example

  Specified by:
    `valueOf` in interface `Classifier<T>`
  Parameters:
    `ex` - example
  Returns:
    >0. if e belongs to the category, <0. if not.

### getKernelWeights

    public double[] getKernelWeights()

### getTrainingWeights

    public double[] getTrainingWeights()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD